""" The user controller to manage all of the stats related endpoints
    in the web app
"""
import json
from flask import Blueprint

from flask import render_template, redirect, request, session, flash
from controllers.database.stats import StatsController
from models.stats import Stats
from models.users.user import User

# Blueprint to append user endpoints to
blueprint = Blueprint("stats", __name__, url_prefix='/stats')


@blueprint.route('/')
def stats_index():
    db = StatsController()
    data = db.read()
    return ""


@blueprint.route('/product/<int:id>')
def view_product_stats(id: int):
    db = StatsController()
    data = db.read_product(id)
    return ""


@blueprint.route('/user/<int:id>')
def view_user_stats(id: int):
    db = StatsController()
    data = db.read_user(id)
    return ""
